Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class OGCDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AbstractCSWRequestDocument, AbstractWFSRequestDocument, CatalogueGetCapabilitiesDocument, ComponentDescriptionDocument, CoverageDescriptionDocument, DescribeRecordResultDocument, ExecuteResponseDocument, GetObservationDocument, OGCCapabilitiesDocument, ProcessDescriptionsDocument, SessionOperationsDocument

    public abstract class OGCDocument

extends XMLFragment

Since:
  1.1
Version:
  1.0. $Revision: 24932 $, $Date: 2010-06-17 20:16:34 +0200 (Do, 17. Jun 2010) $
Author:
  Andreas Poth , last edited by: $Author: apoth $
See Also:
  Serialized Form

Field Summary
`protected static URI` | `GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`OGCDocument()`

Method Summary
`protected CodeList` | `parseCodeList(Element element)` creates a `CodeList` object from the passed element
`protected CodeList[]` | `parseCodeListArray(ElementList el)` creates an array of `CodeList` objects from the passed element list
`static PropertyPath` | `parseExtendedPropertyPath(Element e)`
`protected Interval` | `parseInterval(Element element, URI namespaceURI)` creates an `Interval` object from the passed element
`protected Keywords[]` | `parseKeywords(ElementList el, URI namespaceURI)` Creates an array of `Keywords` from the passed list of `keyword` -elements.
`protected Keywords` | `parseKeywords(Element element, URI namespaceURI)` Creates a `Keywords` instance from the given `keywords` -element.
`static LonLatEnvelope` | `parseLonLatEnvelope(Element element)` creates a `LonLatEnvelope` object from the passed element
`protected OnlineResource` | `parseOnLineResource(Element element)` Creates an `OnLineResource` instance from the passed element.
`static PropertyPath` | `parsePropertyPath(Text textNode)` Creates a new instance of `PropertyPath` from the given text node.
`protected TimePeriod` | `parseTimePeriod(Element element, URI namespaceURI)` creates a `TimePeriod` from the passed element
`protected TimePeriod[]` | `parseTimePeriods(ElementList el, URI namespaceURI)` creates an array of `TimePeriod` s from the passed element
`protected static TimePosition[]` | `parseTimePositions(ElementList el)` creates an array of `TimePosition` s from the passed element
`protected TimeSequence` | `parseTimeSequence(Element element, URI namespaceURI)` creates an `TimeSequence` from the passed element
`protected TypedLiteral` | `parseTypedLiteral(Element element)` creates a `TypedLiteral` from the passed element
`protected Values` | `parseValues(Element element, URI namespaceURI)` creates a `Values` object from the passed element

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GMLNS

    protected static final URI GMLNS

Constructor Detail

### OGCDocument

    public OGCDocument()

Method Detail

### parseLonLatEnvelope

    public static LonLatEnvelope parseLonLatEnvelope(Element element)
                                              throws XMLParsingException,
                                                     OGCWebServiceException

  creates a `LonLatEnvelope` object from the passed element

  Parameters:
    `element` -
  Returns:
    created `LonLatEnvelope`
  Throws:
    `XMLParsingException`
    `OGCWebServiceException`
    `InvalidCoverageDescriptionExcpetion`

### parseTimePositions

    protected static TimePosition[] parseTimePositions(ElementList el)
                                                throws XMLParsingException,
                                                       OGCWebServiceException

  creates an array of `TimePosition` s from the passed element

  Parameters:
    `el` -
  Returns:
    created array of `TimePosition` s
  Throws:
    `XMLParsingException`
    `InvalidCoverageDescriptionExcpetion`
    `OGCWebServiceException`

### parseKeywords

    protected Keywords[] parseKeywords(ElementList el,
                                       URI namespaceURI)

  Creates an array of `Keywords` from the passed list of `keyword` -elements. This appears to be pretty superfluous (as one `keywords`- element may contain several `keyword` -elements). However, the schema in the OGC document "Web Coverage Service (WCS), Version 1.0.0", contains the following line (in the definition of the CoverageOfferingBriefType): `<xs:element ref="keywords" minOccurs="0" maxOccurs="unbounded"/>`

  Parameters:
    `el` -
  Returns:
    created array of `Keywords`

### parseKeywords

    protected Keywords parseKeywords(Element element,
                                     URI namespaceURI)

  Creates a `Keywords` instance from the given `keywords` -element.

  Parameters:
    `element` -
    `namespaceURI` -
  Returns:
    created `Keywords`

### parseTimeSequence

    protected TimeSequence parseTimeSequence(Element element,
                                             URI namespaceURI)
                                      throws XMLParsingException,
                                             OGCWebServiceException

  creates an `TimeSequence` from the passed element

  Parameters:
    `element` -
  Returns:
    created `TimeSequence`
  Throws:
    `XMLParsingException`
    `InvalidCoverageDescriptionExcpetion`
    `OGCWebServiceException`

### parseTimePeriods

    protected TimePeriod[] parseTimePeriods(ElementList el,
                                            URI namespaceURI)
                                     throws XMLParsingException,
                                            OGCWebServiceException

  creates an array of `TimePeriod` s from the passed element

  Parameters:
    `el` -
  Returns:
    created array of `TimePeriod` s
  Throws:
    `XMLParsingException`
    `InvalidCoverageDescriptionExcpetion`
    `OGCWebServiceException`

### parseTimePeriod

    protected TimePeriod parseTimePeriod(Element element,
                                         URI namespaceURI)
                                  throws XMLParsingException,
                                         OGCWebServiceException

  creates a `TimePeriod` from the passed element

  Parameters:
    `element` -
  Returns:
    created `TimePeriod`
  Throws:
    `XMLParsingException`
    `InvalidCoverageDescriptionExcpetion`
    `OGCWebServiceException`

### parseValues

    protected Values parseValues(Element element,
                                 URI namespaceURI)
                          throws XMLParsingException

  creates a `Values` object from the passed element

  Parameters:
    `element` -
  Returns:
    created `Values`
  Throws:
    `XMLParsingException`

### parseInterval

    protected Interval parseInterval(Element element,
                                     URI namespaceURI)
                              throws XMLParsingException

  creates an `Interval` object from the passed element

  Parameters:
    `element` -
  Returns:
    created `Interval`
  Throws:
    `XMLParsingException`

### parseTypedLiteral

    protected TypedLiteral parseTypedLiteral(Element element)
                                      throws XMLParsingException

  creates a `TypedLiteral` from the passed element

  Parameters:
    `element` -
  Returns:
    created `TypedLiteral`
  Throws:
    `XMLParsingException`

### parseCodeListArray

    protected CodeList[] parseCodeListArray(ElementList el)
                                     throws XMLParsingException

  creates an array of `CodeList` objects from the passed element list

  Parameters:
    `el` -
  Returns:
    created array of `CodeList`
  Throws:
    `XMLParsingException`

### parseCodeList

    protected CodeList parseCodeList(Element element)
                              throws XMLParsingException

  creates a `CodeList` object from the passed element

  Parameters:
    `element` -
  Returns:
    created `CodeList`
  Throws:
    `XMLParsingException`

### parseOnLineResource

    protected OnlineResource parseOnLineResource(Element element)
                                          throws XMLParsingException

  Creates an `OnLineResource` instance from the passed element. The element contains an OnlineResourse as it is used in the OGC Web XXX CapabilitiesService specifications. TODO Compare with XMLFragment#parseSimpleLink

  Parameters:
    `element` -
  Returns:
    the link
  Throws:
    `XMLParsingException`

### parseExtendedPropertyPath

    public static PropertyPath parseExtendedPropertyPath(Element e)
                                                  throws XMLParsingException

  Parameters:
    `e` -
  Returns:
    a new property path, possibly an xlinked one
  Throws:
    `XMLParsingException`

### parsePropertyPath

    public static PropertyPath parsePropertyPath(Text textNode)
                                          throws XMLParsingException

  Creates a new instance of `PropertyPath` from the given text node.

  NOTE: Namespace prefices used in the property path should be bound using XML namespace mechanisms (i.e. using xmlns attributes in the document). However, to enable processing of partly broken requests, unbound prefices are accepted as well.

  Parameters:
    `textNode` - string representation of the property path
  Returns:
    new PropertyPath instance
  Throws:
    `XMLParsingException`
  See Also:
    `PropertyPath`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org